Summary: Xmarks Bookmark Synchronizer extension for firefox
Name: firefox-ext-xmarks
Version: 4.0.5
Release: %mkrel 1
License: GPLv2+
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/2410
Source: http://releases.mozilla.org/pub/mozilla.org/addons/2410/xmarks_sync-%{version}-fx+sm.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
Obsoletes: mozilla-firefox-ext-foxmarks < %{version}-%{release}
Provides: mozilla-firefox-ext-foxmarks = %{version}-%{release}
Obsoletes: firefox-ext-foxmarks < %{version}-%{release}
Provides: firefox-ext-foxmarks = %{version}-%{release}
BuildRequires: firefox-devel
BuildArch: noarch

%description
If you use Firefox on more than one computer, you'll want Xmarks. Install
Xmarks on each computer, and it will work silently in the background to keep
your bookmarks synchronized. You can also log in to my.xmarks.com to manage
your bookmarks from any computer.

A simple wizard guides you through the startup process. After that, just forget
about it. It's simple and solid.

Xmarks was formerly known as Foxmarks.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog

* Fri Jan 06 2012 fwang <fwang> 4.0.5-1.mga2
+ Revision: 192534
- new version 4.0.5

* Tue Sep 27 2011 fwang <fwang> 4.0.2-1.mga2
+ Revision: 149216
- new version 4.0.2
- new version 4.0.1

  + dmorgan <dmorgan>
    - Rebuild to have a higher release in cauldron

* Thu Jun 23 2011 tv <tv> 3.9.10-1.mga2
+ Revision: 112598
- new release
- no need to disable debug packages on noarch pkg

* Sat Apr 30 2011 ahmad <ahmad> 3.9.9-2.mga1
+ Revision: 93797
- change the spec so that it doesn't require a rebuild when firefox is updated
  to a new version; this is in compliance with the changes in some other firefox
  extensions (e.g. firefox-ext-noscript).
  Tested locally and it seems to work OK.

* Wed Apr 13 2011 juancho <juancho> 3.9.9-1.mga1
+ Revision: 84177
- Updated to 3.9.9
- imported package firefox-ext-xmarks

